<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_graph_user_kernel_pytiovx_uc.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_tutorial_graph_user_kernel_pytiovx_uc.py File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>This file show example of using basic PyTIOVX APIs to describe user/target kernel class and use it within an OpenVX graph. </p>
<p>See <a class="el" href="vx__tutorial__graph__image__gradients__pytiovx__uc_8py.html" title="This file show example of using basic PyTIOVX APIs to describe an OpenVX graph.">vx_tutorial_graph_image_gradients_pytiovx_uc.py</a> for basic API usage.</p>
<p>The basic steps to define user/target class and use it with PyTIOVX tool</p>
<ul>
<li>Define a class for user/target kernel dervied from tiovx.node.Node base class</li>
<li>Overide the constructor to explicitly specific the parameters and types<ul>
<li>This allows the python to do basic syntax checking</li>
</ul>
</li>
<li>Overide the checkParams method to specify additional parameter checking if required</li>
<li>Write the OpenVX use-case using PyTIOVX APIs<ul>
<li>Use the user/target class when adding the user/target kernel to the graph</li>
</ul>
</li>
<li>Export the graph as C code or .jpg file</li>
</ul>
<p>See source code of function <a class="el" href="namespacevx__tutorial__graph__user__kernel__pytiovx__uc.html#a517d0f0ce7c6031f510ccbc591e569a3" title="Function to describe a graph and generate code, image using PyTIOVX tool.">vx_tutorial_graph_user_kernel_pytiovx_uc.make_my_graph()</a> for detailed API usage for this example. </p>

<p>Definition in file <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html">vx_tutorial_graph_user_kernel_pytiovx_uc.py</a>.</p>

<p><a href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classvx__tutorial__graph__user__kernel__pytiovx__uc_1_1NodePhaseRgb.html">vx_tutorial_graph_user_kernel_pytiovx_uc.NodePhaseRgb</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class to represent user/target kernel.  <a href="classvx__tutorial__graph__user__kernel__pytiovx__uc_1_1NodePhaseRgb.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Packages</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">package &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevx__tutorial__graph__user__kernel__pytiovx__uc.html">vx_tutorial_graph_user_kernel_pytiovx_uc</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevx__tutorial__graph__user__kernel__pytiovx__uc.html#a517d0f0ce7c6031f510ccbc591e569a3">vx_tutorial_graph_user_kernel_pytiovx_uc.make_my_graph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to describe a graph and generate code, image using PyTIOVX tool.  <a href="#a517d0f0ce7c6031f510ccbc591e569a3"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
